import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/pimappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: '74769e4fae4abae779fa5e1d71bef05d',
	name: 'user_menus',
	text: '用户菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '5b9d13aef24ebeec49af943db98b35cb',
	name: 'menuitem3',
	text: '设置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '设置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cog',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: '3191ef144a2b66a82edce66de7461bd5',
	name: 'top_menus',
	text: '顶部菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '顶部菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: 'dfc129d27761fa5213b01cda5ee15778',
	name: 'left_exp',
	text: '左侧菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '左侧菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '4b24bf3dc681c591cb1663ce8853cc32',
	name: 'menuitem15',
	text: '员工信息',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '员工信息',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-user',
	icon: '',
	textcls: '',
	appfunctag: '_2',
	resourcetag: '',
},
	],
},
            {
	id: 'fec63a28f5d99fd4ac7e43004b6a16f8',
	name: 'bottom_exp',
	text: '底部内容',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部内容',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '5055aa1daf0c26ad0615bf59b899dac6',
	name: 'footer_left',
	text: '底部左侧',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部左侧',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '543d8997967e967da007eba50c2c8ba1',
	name: 'footer_center',
	text: '底部中间',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部中间',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '6afec0593769e90bdf8be1d490367306',
	name: 'footer_right',
	text: '底部右侧',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部右侧',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
        ],
    }];
});

