import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "pim": {
            "title": "应用首页视图",
            "caption": "基础管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "PIM",
            "viewtag": "49CD8BAE-D640-4816-8313-5D8609BB0041"
        },
        "hremployeegridview": {
            "title": "员工表格视图",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeGridView",
            "viewtag": "9559258a9c3ac118e15ead941b780682"
        },
        "hremployeeeditview": {
            "title": "员工编辑视图",
            "caption": "员工",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeEditView",
            "viewtag": "b932c0eb66409c638c29ee27ba4fda37"
        }
    }];
});